Subject: Re: [FIXED PATCH] Make rebase save ORIG_HEAD if changing current branch

From: Jakub Narebski <[email-masked]>
Date: Tue, 8 Jul 2008 00:58:54 +0200

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>>> @@ -289,10 +299,10 @@ notation is used.  E.g. "`{caret}r1 r2`" means commits reachable
>>>  from `r2` but exclude the ones reachable from `r1`.
>>>  
>>>  This set operation appears so often that there is a shorthand
>>> -for it.  "`r1..r2`" is equivalent to "`{caret}r1 r2`".  It is
>>> -the difference of two sets (subtract the set of commits
>>> -reachable from `r1` from the set of commits reachable from
>>> -`r2`).
>>> +for it.  When you have two commits `r1` and `r2` (named according
>>> +to the syntax explained in SPECIFYING REVISIONS above), you can ask
>>> +for commits that are reachable from r2 but not from r1 by
>>> +"`{caret}r1 r2`" and it can be written as "`r1..r2`".
>>
>> I'm not sure if the last part is improvement, and it wouldn't be better
>> to say rather than r1..r2 / ^r1 r2 are "commits that are reachable from
>> r2, excluding those commits which are reachable from r1" (which translates
>> into set difference / subtracting set of commits.
> 
> I tried to make it easier to understand by people without having to know
> what a set difference is, and that was the reason I did not use "subtract"
> nor "difference", as I saw somebody was quoting the above part in #git was
> wondering what it was talking about.

I understand, and the replacement you proposed is better, as it does
not require understanding of [mathematical] set operations.  I just
think that "commits that are reachable from r2, excluding those commits
which are reachable from r1" could be better than "commits that are
reachable from r2 but not from r1".

-- 
Jakub Narebski
Poland